<?php
function getFieldLabel_AccountHelper($field, array $fieldRules, array $attributes = array()): string
{
  switch ($field) {
    default:
      if (strpos($fieldRules[$field], 'required') !== false) {
        array_push($attributes, 'style="color:red";');
      }
      return sprintf("<span %s>%s</span>", implode(" ", $attributes), lang("Admin/Cloudflare/API/Account.label.{$field}"));
      break;
  }
}

//header.php에서 getFieldForm_Helper사용
function getFieldForm_AccountHelper($field, $value, array $formOptions, array $attributes = array())
{
  $value = is_null($value) ? DEFAULT_EMPTY : $value;
  switch ($field) {
    case 'auth_uid':
      return form_dropdown($field, $formOptions[$field], $value, ['class' => "selectbox"]);
      break;
    case 'type':
    case 'status':
      return form_dropdown($field, $formOptions[$field], $value, $attributes);
      break;
    case 'updated_at':
    case 'created_at':
      $attributes["class"] = !array_key_exists("class", $attributes) ? "calender" : $attributes["class"] . " calender";
      return form_input($field, $value, $attributes);
      break;
    default:
      return form_input($field, $value, $attributes);
      break;
  }
} //

function getFieldView_AccountHelper($field, $entity, array $fieldFilters, $fieldFormOptions, $attributes = array())
{
  switch ($field) {
    default:
      if (in_array($field, $fieldFilters)) {
        return $fieldFormOptions[$field][$entity->$field];
      }
      return $entity->$field;
      break;
  }
} //

function getFieldIndex_Column_AccountHelper($field, $order_field, $order_value, array $attributes = array())
{
  $label = lang("Admin/Cloudflare/API/Account.label.{$field}");
  $label = $field == $order_field ? sprintf('%s <i class="fa fa-arrow-%s"></i>', $label, $order_value == 'ASC' ? "up" : "down") : $label;
  $order_value = $order_value == 'DESC' ? "ASC" : "DESC";
  return anchor(current_url() . "?order_field={$field}&order_value={$order_value}", $label, $attributes);
} //

function getFieldIndex_Row_AccountHelper($field, array $row, array $fieldFilters, array $fieldFormOptions, array $attributes = array(), string $old_auth_uid = ''): string
{
  switch ($field) {
    case 'auth_uid':
      $temp = '';
      if ($old_auth_uid !== $row[$field]) {
        $temp = sprintf(
          '<div style="text-align:left;">%s</div>',
          $fieldFormOptions[$field][$row[$field]]
        );
      }
      return $temp;
      break;
    case 'title':
      return sprintf(
        '<div style="text-align:left;">%s %s %s</div>',
        anchor(base_url() . '/admin/cloudflare/zone?account_uid=' . $row['uid'], ' ', ["class" => "btn btn-sm btn-primary btn-circle fa fa-flag", "target" => "_self"]),
        anchor(base_url() . '/admin/cloudflare/account/reload/' . $row['uid'], ' ', ["class" => "btn btn-sm btn-primary btn-circle fa fa-refresh", "target" => "_self"]),
        $row[$field]
      );
      break;
    case 'type':
    case 'status':
      return $row[$field];
      break;
    case 'updated_at':
    case 'created_at':
      return str_split($row[$field], 10)[0];
      break;
    default:
      if (in_array($field, $fieldFilters)) {
        $attributes["onChange"] = sprintf('location.href="%s/toggle/%s/%s?%s="+this.options[this.selectedIndex].value', current_url(), $row['uid'], $field, $field);
        return getFieldForm_AccountHelper($field, $row[$field], $fieldFormOptions, $attributes);
      }
      return $row[$field];
      break;
  }
} //